Show / Hide Table of Contents

# Struct ContextMenuTarget

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ContextMenuTarget

### Fields

| Improve this Doc View Source

#### AddonListIndex

##### Declaration

    public byte AddonListIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClassJobId

##### Declaration

    public byte ClassJobId

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ClientLanguage

##### Declaration

    public byte ClientLanguage

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ContentId

##### Declaration

    public ulong ContentId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### CurrentWorldId

##### Declaration

    public ushort CurrentWorldId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### FcName

##### Declaration

    public byte *FcName

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Gender

##### Declaration

    public byte Gender

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### GrandCompany

##### Declaration

    public byte GrandCompany

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HomeWorldId

##### Declaration

    public ushort HomeWorldId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### LanguageBitmask

##### Declaration

    public byte LanguageBitmask

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Name

##### Declaration

    public byte *Name

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### TerritoryTypeId

##### Declaration

    public ushort TerritoryTypeId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### Unk_Info_Ptr

##### Declaration

    public void *Unk_Info_Ptr

##### Field Value

Type | Description
--- | ---
System.Void* |